<template>
    <div>
        <label :for="fieldname">{{ label }}</label>
        <br>
        <input :id="fieldname" type="text" v-model="newValue" v-on:blur="changeValueInDatabase" :disabled="disabled">
        <broject-database-fieldchanger
            :classname="classname"
            :entity-id="entityId"
            :fieldname="fieldname"
            :old-value="oldValue"
            :new-value="newValue"
            :disabled="disabled"
            :is-changing="isChanging"
            type="date"
            @changeSucceeded="changeValueInVue"
            @changeFailed="handleFailedFieldChange"
        ></broject-database-fieldchanger>
    </div>
</template>

<script>
    import General from './General.vue';

    export default {

        extends: General,

    }
</script>
